package com.manalejandro.mongodbcrud.services;

import java.util.List;
import java.util.concurrent.CompletableFuture;

import com.manalejandro.mongodbcrud.model.Item;

public interface ItemService {

	public CompletableFuture<Item> getItem(String id);

	public CompletableFuture<List<Item>> getAll();

	public CompletableFuture<Boolean> save(Item item);

	public CompletableFuture<Boolean> saveAll(List<Item> items);
	
	public void delete(Item item);
}
